Como instalar libssl1.1 (solucionado)

Spanish Forum

Moderators: tomeu, JCSenar

Post Reply
User avatar
desmolinux
Level 3
Level 3
Posts: 149
Joined: Mon Oct 02, 2017 7:05 am

Como instalar libssl1.1 (solucionado)

Post by desmolinux »

Hola a todos, estoy intentando instalar un programa y cuando se va a descomprimir el .deb me da este error: No se puede satisfacer la dependencia: libssl1.1

Y no se como puedo solucionarlo, alguien ha tenido un caso parecido?

Gracias.
Last edited by desmolinux on Wed Oct 16, 2019 12:15 pm, edited 1 time in total.
User avatar
JOPETA
Level 17
Level 17
Posts: 7404
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Como instalar libssl1.1

Post by JOPETA »

Ya que el mencionado paquete está en el repositorio (en su versión 1.1.1-1ubuntu2.1~18.04.4 para LM 19.X/Ubuntu bionic) deberías instalarlo antes (con apt install libssl1.1), eso si no requiere de una versión concreta... :roll:

¿De que .deb o programa se trata?. Proporciona el enlace a la página de escarga, tal vez en ese mismo sitio sea posible descargarte las dependencias, eso si no se trata de un .deb para otra edición de Mint/Ubuntu.
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)
User avatar
desmolinux
Level 3
Level 3
Posts: 149
Joined: Mon Oct 02, 2017 7:05 am

Re: Como instalar libssl1.1

Post by desmolinux »

Ok, la version que he descargado es la de Ubuntu 18.04 Debian File

http://beersmith.com/download-beersmith/

Gracias.
User avatar
JOPETA
Level 17
Level 17
Posts: 7404
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Como instalar libssl1.1

Post by JOPETA »

Instala previamente en paquete de la forma indicada (apt install libssl1.1) y luego trata de instalar el .deb abriendo una terminal en el directorio de descarga y ejecutando

Code: Select all

sudo dpkg -i BeerSmith*.deb
De tener algún problema devuelve el resultado completo del código anterior usando la opción </> code del editor del foro (mira aquí si no sabes cómo hacerlo).
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)
User avatar
desmolinux
Level 3
Level 3
Posts: 149
Joined: Mon Oct 02, 2017 7:05 am

Re: Como instalar libssl1.1

Post by desmolinux »

Hola he intentado instalar el libssl1.1 y me ha dado este error

Leyendo lista de paquetes... Hecho
Creando árbol de dependencias
Leyendo la información de estado... Hecho
E: No se ha podido localizar el paquete libssl1.1
E: No se pudo encontrar ningún paquete usando «*» con «libssl1.1»
E: No se pudo encontrar ningún paquete con la expresión regular «libssl1.1»

Que puede ser?
User avatar
JOPETA
Level 17
Level 17
Posts: 7404
Joined: Thu Nov 20, 2014 6:10 am
Location: En un lugar de cuyo nombre no quiero acordarme

Re: Como instalar libssl1.1

Post by JOPETA »

No lo se pero yo lo tengo instalado y ubuntu lo proporciona, como digo a tavés del repositorio oficial. :shock:

Code: Select all

apt version libssl1.1
1.1.1-1ubuntu2.1~18.04.4
Captura de pantalla de 2019-10-15 19-44-48.png
Devuelve el resultado del siguiente código en la terminal usando la opción </> code del editor (mira aquí si no sabes cómo hacerlo).

Code: Select all

inxi -Fxznr
Ni cola de león ni cabeza de ratón, prefiero ser diente de ajo.(Javier Krahe)
User avatar
desmolinux
Level 3
Level 3
Posts: 149
Joined: Mon Oct 02, 2017 7:05 am

Re: Como instalar libssl1.1

Post by desmolinux »

Code: Select all

System:    Host: flako-System-Product-Name Kernel: 4.10.0-37-generic x86_64 (64 bit gcc: 5.4.0)
           Desktop: Cinnamon 3.4.6 (Gtk 3.18.9-1ubuntu3.3)
           Distro: Linux Mint 18.2 Sonya
Machine:   Mobo: ASUSTeK model: P7P55 LX v: Rev X.0x
           Bios: American Megatrends v: 1002 date: 06/10/2010
CPU:       Dual core Intel Core i3 530 (-HT-MCP-) cache: 4096 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 11773
           clock speeds: max: 2933 MHz 1: 1200 MHz 2: 1467 MHz 3: 1467 MHz
           4: 2267 MHz
Graphics:  Card: NVIDIA GF108 [GeForce GT 630] bus-ID: 01:00.0
           Display Server: X.Org 1.18.4 drivers: nvidia (unloaded: fbdev,vesa,nouveau)
           Resolution: 1920x1080@60.00hz, 1920x1080@50.00hz
           GLX Renderer: GeForce GT 630/PCIe/SSE2
           GLX Version: 4.5.0 NVIDIA 384.130 Direct Rendering: Yes
Audio:     Card-1 Intel 5 Series/3400 Series High Definition Audio
           driver: snd_hda_intel bus-ID: 00:1b.0
           Card-2 NVIDIA GF108 High Definition Audio Controller
           driver: snd_hda_intel bus-ID: 01:00.1
           Sound: Advanced Linux Sound Architecture v: k4.10.0-37-generic
Network:   Card: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet Controller
           driver: r8169 v: 2.3LK-NAPI port: d800 bus-ID: 02:00.0
           IF: enp2s0 state: up speed: 1000 Mbps duplex: full mac: <filter>
Drives:    HDD Total Size: 1500.3GB (23.5% used)
           ID-1: /dev/sda model: SAMSUNG_HD103SJ size: 1000.2GB
           ID-2: /dev/sdb model: SAMSUNG_HD502HJ size: 500.1GB
Partition: ID-1: / size: 24G used: 8.5G (38%) fs: ext4 dev: /dev/sda5
           ID-2: /home size: 840G used: 316G (40%) fs: ext4 dev: /dev/sda7
           ID-3: swap-1 size: 4.19GB used: 0.04GB (1%) fs: swap dev: /dev/sda6
RAID:      No RAID devices: /proc/mdstat, md_mod kernel module present
Sensors:   System Temperatures: cpu: 53.0C mobo: 35.0C gpu: 0.0:51C
           Fan Speeds (in rpm): cpu: 2057 psu: 0 sys-1: 0
Repos:     Active apt sources in file: /etc/apt/sources.list.d/flacon-ppa-xenial.list
           deb http://ppa.launchpad.net/flacon/ppa/ubuntu xenial main
           deb-src http://ppa.launchpad.net/flacon/ppa/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/google-chrome.list
           deb [arch=amd64] http://dl.google.com/linux/chrome/deb/ stable main
           Active apt sources in file: /etc/apt/sources.list.d/google-musicmanager.list
           deb http://dl.google.com/linux/musicmanager/deb/ stable main
           Active apt sources in file: /etc/apt/sources.list.d/official-package-repositories.list
           deb http://mirrors.evowise.com/linuxmint/packages sonya main upstream import backport
           deb http://ftp.caliu.cat/pub/distribucions/ubuntu/archive xenial main restricted universe multiverse
           deb http://ftp.caliu.cat/pub/distribucions/ubuntu/archive xenial-updates main restricted universe multiverse
           deb http://ftp.caliu.cat/pub/distribucions/ubuntu/archive xenial-backports main restricted universe multiverse
           deb http://security.ubuntu.com/ubuntu/ xenial-security main restricted universe multiverse
           deb http://archive.canonical.com/ubuntu/ xenial partner
           Active apt sources in file: /etc/apt/sources.list.d/team-xbmc-ppa-xenial.list
           deb http://ppa.launchpad.net/team-xbmc/ppa/ubuntu xenial main
           deb-src http://ppa.launchpad.net/team-xbmc/ppa/ubuntu xenial main
           Active apt sources in file: /etc/apt/sources.list.d/webupd8team-indicator-kdeconnect-xenial.list
           deb http://ppa.launchpad.net/webupd8team/indicator-kdeconnect/ubuntu xenial main
           deb-src http://ppa.launchpad.net/webupd8team/indicator-kdeconnect/ubuntu xenial main
Info:      Processes: 236 Uptime: 6:39 Memory: 2026.3/3939.5MB
           Init: systemd runlevel: 5 Gcc sys: 5.4.0
           Client: Shell (bash 4.3.481) inxi: 2.2.35
User avatar
JCSenar
Level 11
Level 11
Posts: 3616
Joined: Sat Sep 06, 2014 6:26 pm
Location: Irun, España
Contact:

Re: Como instalar libssl1.1

Post by JCSenar »

desmolinux wrote:
Tue Oct 15, 2019 2:35 pm
System: Host: flako-System-Product-Name Kernel: 4.10.0-37-generic x86_64 (64 bit gcc: 5.4.0)
Desktop: Cinnamon 3.4.6 (Gtk 3.18.9-1ubuntu3.3)
Distro: Linux Mint 18.2 Sonya
desmolinux wrote:
Mon Oct 14, 2019 5:17 am
Ok, la version que he descargado es la de Ubuntu 18.04 Debian File
Estás utilizando un paquete equivocado. LM 18.x se basa en Ubuntu 16.04. El paquete adecuado es este.

Se instala sin problemas con doble clic:

Pantallazo-2019-10-15 22-08-50.png
Image
Si tu consulta ha sido resuelta, por favor, edita tu primer mensaje y añade [SOLUCIONADO] al título. Gracias.
User avatar
desmolinux
Level 3
Level 3
Posts: 149
Joined: Mon Oct 02, 2017 7:05 am

Re: Como instalar libssl1.1

Post by desmolinux »

JCSenar wrote:
Tue Oct 15, 2019 4:10 pm
desmolinux wrote:
Tue Oct 15, 2019 2:35 pm
System: Host: flako-System-Product-Name Kernel: 4.10.0-37-generic x86_64 (64 bit gcc: 5.4.0)
Desktop: Cinnamon 3.4.6 (Gtk 3.18.9-1ubuntu3.3)
Distro: Linux Mint 18.2 Sonya
desmolinux wrote:
Mon Oct 14, 2019 5:17 am
Ok, la version que he descargado es la de Ubuntu 18.04 Debian File
Estás utilizando un paquete equivocado. LM 18.x se basa en Ubuntu 16.04. El paquete adecuado es este.

Se instala sin problemas con doble clic:

Pantallazo-2019-10-15 22-08-50.png
Ok, gracias, ni me había dado cuenta de ese error , esta tarde pruebo a instalarlo a ver que tal va.
User avatar
desmolinux
Level 3
Level 3
Posts: 149
Joined: Mon Oct 02, 2017 7:05 am

Re: Como instalar libssl1.1

Post by desmolinux »

Instalado y funcionando, Gracias a todos.
Post Reply

Return to “Español (Spanish)”